# std::_List_iterator< _Tp, _Ref, _Ptr > Struct Template Reference

A list::iterator. More...

`#include <stl_list.h>`

List of all members.

## Public Member Functions

void | _M_incr ()
| Walk the list forward.
void | _M_decr ()
| Walk the list backward.

## Public Attributes

_List_node_base * | _M_node
| The only member points to the list element.

## Detailed Description

### template<typename _Tp, typename _Ref, typename _Ptr>
struct std::_List_iterator< _Tp, _Ref, _Ptr >

A list::iterator.

In addition to being used externally, a list holds one of these internally, pointing to the sequence of data.

Definition at line 143 of file stl_list.h.

## Member Function Documentation

void std::_List_iterator_base::_M_decr | ( |  | ) | `[inline, inherited]`

| Walk the list backward. Definition at line 120 of file stl_list.h.

void std::_List_iterator_base::_M_incr | ( |  | ) | `[inline, inherited]`

| Walk the list forward. Definition at line 115 of file stl_list.h.

## Member Data Documentation

_List_node_base* std::_List_iterator_base::_M_node`[inherited]`

| The only member points to the list element. Definition at line 104 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h